Subject: Re: [O] bug#32722: bug#32722: bug#32722: 26.1; Org-publish depend on non-free platform ?

From: Robert Klein <[email-masked]>
Date: Thu, 20 Sep 2018 10:13:16 +0200

Hi,
On Thu, 20 Sep 2018 08:43:19 +0300
Eli Zaretskii <[email-masked]> wrote:

> > From: Kaushal Modi <[email-masked]>
> > Date: Wed, 19 Sep 2018 17:16:28 -0400
> > Cc: Nicolas Goaziou <[email-masked]>, Glenn Morris
> > <[email-masked]>, [email-masked], Richard Stallman <[email-masked]>,
> > [email-masked], Robert Horn <[email-masked]>, Eli
> > Zaretskii <[email-masked]>
> > 
> > I got approval from Hrvoje Nikšić that he was fine with your
> > mirror[0].
> > 
> > So I believe it should be OK reference that mirror repo in
> > ox-html?  
> 
> I think we could do better by using htmlfontify.el.  I asked a few
> questions about that in this discussion, see
> 
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32722#95
> 
> Would the Org developers please reply to those questions?  If indeed
> it is not hard to adapt htmlfontify to be used by Org, then I think
> it's a better solution.

Not an “Org developer” -- I guess mostly Nicolas Goaziou can claim that
title at the moment with two thirds of all commits last year..

As to your questions:

> This should be very easy to fix, by using temporary buffers with a
> copy of the region to produce HTML for.  Right?

plus removing HTML document headers and footers, remove css stuff,
rework this, so we have css to include in the final document...

> > Additionally htmlfontify also requires several external tools
> > (according to the man page) which might not be available on all
> > platform Emacs and org-mode is used on:
> > 
> > - a copy of “find” which provides the “-path” predicate
> > - a copy of “sed”
> > - a copy of the “file” command
> 
> These are only needed if one invokes htmlfontify-copy-and-link-dir to
> produce HTML for files in a directory.  Is that an important use case
> for the issue at hand?  E.g., if you need to produce HTML for a region
> of a buffer, these facilities seem to not be relevant, AFAIU.  Did I
> miss something?

No. At that moment in the discussion it wasn't clear the issue with htmlize (and github) has been seen fundamentally different by non-org people as opposed to people developing and using org-mode.

> > A switch to htmlfontify might end up in rewriting a good part of
> > htmlfontify or some very ugly hacks.
> 
> I wonder whether we could begin by just supporting the immediate use
> case(s) in point, maybe that is possible without too much rewriting.

See above.

> > If Hrvoje Niksic has or is willing to sign the copyright assignment
> > documents it will be easier to put htmlize.el into Emacs.
> 
> We've been through this several times in the past: it isn't going to
> happen.  I think htmlfontify was added to Emacs for that rteason,
> among others.

Sorry, didn't know there's a history.

Best regards
Robert